import { controlCornerRadius, designUnit, strokeWidth } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
import { forcedColorsStylesheetBehavior } from '@microsoft/fast-foundation';
import { SystemColors } from '@microsoft/fast-web-utilities';
export const foundationFiltersStyles = css `
  :host {
    display: flex;
    height: 100%;
    width: 100%;
    border: calc(${strokeWidth} * 1px) solid transparent;
    margin: 0;
    border-radius: calc(${controlCornerRadius} * 1px);
    min-width: 64px;
  }

  .header {
    padding: calc(var(--design-unit) * 4px);
  }

  .header h2 {
    margin: 0;
  }

  .container {
    width: 100%;
    display: flex;
    flex-direction: column;
  }

  .container-forms {
    overflow: hidden;
    overflow-y: scroll;
    display: flex;
  }

  .container-forms json-forms {
    width: 100%;
    padding: 0 15px;
  }

  .label {
    font-size: calc(${designUnit} * 1px + 0.7vmin);
  }

  .actions {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-end;
    padding: calc(${designUnit} * 4px);
    gap: calc(${designUnit} * 2px);
  }

  .action-button {
    width: 70px;
  }
`.withBehaviors(forcedColorsStylesheetBehavior(css `
    :host {
      background: ${SystemColors.Canvas};
      border-color: ${SystemColors.CanvasText};
    }
  `));
