import { mapStateToControlProps, rankWith } from '@jsonforms/core';
import { html } from '@microsoft/fast-element';
import { isArray } from '../testers/isArray';
import { ARRAY_CONTROL_RANK } from './RenderersRanks';
function changeHandler(x, c) {
    const inputValue = c.event.target.value;
    x.control.handleChange(x.control.path, inputValue === '' ? [] : inputValue.split(',').map((item) => item.trimStart()));
}
export const getStringArrayControlRendererTemplate = (prefix = 'zero') => html `
  <template>
    <control-wrapper
      :control=${(x) => x.control}
      :jsonForms=${(x) => x.jsonforms}
      :touched=${(x) => x.touched}
      ?submitted=${(x) => x.submitted}
      prefix="${prefix}"
    >
      <${prefix}-text-field
        :value=${(x) => { var _a; return ((_a = x.control.data) === null || _a === void 0 ? void 0 : _a.toString()) || ''; }}
        @change=${changeHandler}
        placeholder=${(x) => x.control.uischema.placeholder || x.control.label}
        id=${(x) => x.control.path}
        data-test-id=${(x) => x.control.path}
        ?required=${(x) => x.control.required}
        ?disabled=${(x) => !x.control.enabled}
        style="width: 100%"
        @blur=${(x) => x.onBlur()}
      ></${prefix}-text-area>
    </control-wrapper>
  </template>
`;
export const StringArrayEntry = {
    renderer: html `
    ${(x) => getStringArrayControlRendererTemplate(x.prefix)}
  `,
    tester: rankWith(ARRAY_CONTROL_RANK, isArray('string')),
    mapper: mapStateToControlProps,
};
